Skip to content

List Bank Accounts

POST
/open/transact/status

List the bank accounts linked to your Moolre account. Send type 3 with your Moolre account number to retrieve the account count and bank account records.

history

Request History

Your request history will appear here.

Headers

X-API-USER stringrequired

Your Moolre username.

X-API-PUBKEY stringrequired

Your Public API Key.

Body Params

typeintegerrequired

Must be 3 to list bank accounts.

accountnumberstringrequired

Your Moolre Account Number.

Responses

RESPONSE BODY
statusinteger
1 for success.
codestring
AC01 for a successful response.
messagestring
Response message.
dataobject
txcountinteger
Account count reported by the API.
accountsarray
Bank account records linked to your Moolre account.
accountnostring
Bank account number.
accountnamestring
Name associated with the bank account.
banknamestring
Bank name; may be empty.
extidstring
External reference associated with the bank account; may be empty.
tsstring
Bank account timestamp in YYYY-MM-DD HH:mm:ss format.
gonull
Navigation hint.

Language

curl --request POST \     --url 'https://api.moolre.com/open/transact/status' \     --header 'X-API-USER: Your Username' \     --header 'X-API-PUBKEY: YOUR_PUBLIC_KEY' \     --header 'Content-Type: application/json' \     --data '{  "type": 3,  "accountnumber": ""}'

Response

Body

{  "status": 1,  "code": "AC01",  "message": "Success",  "data": {    "txcount": 4,    "accounts": [      {        "accountno": "0077440001001",        "accountname": "Zagey MLR",        "bankname": "",        "extid": "",        "ts": "2026-09-18 07:13:34"      },      {        "accountno": "0052080001001",        "accountname": "Kofi Adeniyi2 MLR",        "bankname": "",        "extid": "ur12ef0012",        "ts": "2026-09-09 11:52:56"      },      {        "accountno": "0052030001001",        "accountname": "Kofi Adeniyi2 MLR",        "bankname": "",        "extid": "ur12ef001",        "ts": "2026-09-09 10:10:37"      },      {        "accountno": "0014760001001",        "accountname": "Kofi Adeniyi3 MoolrePay-2",        "bankname": "",        "extid": "",        "ts": "2026-06-15 10:58:02"      }    ],    "go": null  },  "meta": {    "requestid": "req_c68f4c66115c26725c796242",    "notices": []  }}